%define major_version 1
%define minor_version 2.2
Summary: HDF5 library
Name: hdf5
Version: %{major_version}.%{minor_version}
Release: 1
Copyright: see included Copyright
Packager: Robert de Vries <R.de.Vries@fokkerspace.nl>
Group: Development/Libraries
Source: ftp://hdf.ncsa.uiuc.edu/HDF5/hdf5-%{PACKAGE_VERSION}/src/hdf5-%{PACKAGE_VERSION}.tar.bz2
#BuildRoot: /tmp/hdf5-root
URL: http://hdf.ncsa.uiuc.edu/HDF5/

%description
HDF5 is a new, experimental version of HDF that is designed to address some
of the limitations of the current version of HDF (HDF4.x) and to address
current and anticipated requirements of modern systems and applications.

We urge you to look at this new version of HDF and give us feedback on what
you like or do not like about it, and what features you would like to see
added to it.

Why HDF5? The development of HDF5 is motivated by a number of limitations in
the current HDF format, as well as limitations in the library. Some of these
limitations are:

   * A single file cannot store more than 20,000 complex objects, and a
     single file cannot be larger than 2 gigabytes.
   * The data models are less consistent than they should be, there are more
     object types than necessary, and datatypes are too restricted.
   * The library source is old and overly complex, does not support parallel
     I/O effectively, and is difficult to use in threaded applications.

HDF5 includes the following improvements.

   * A new file format designed to address some of the deficiencies of
     HDF4.x, particularly the need to store larger files and more objects
     per file.
   * A simpler, more comprehensive data model that includes only two basic
     structures: a multidimensional array of record structures, and a
     grouping structure.
   * A simpler, better-engineered library and API, with improved support for
     parallel i/o, threads, and other requirements imposed by modern systems
     and applications.

%changelog
* Tue Sep 19 2000 Robert de Vries <R.de.Vries@fokkerspace.nl>
- update to version 1.2.2

* Tue Feb 5 1999 Richard van Hees <R.M.van.Hees@sron.nl>
- creation date

%prep
%setup 

%build
./configure --prefix="$RPM_BUILD_ROOT"/usr --enable-production
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%attr(-, root, root) %doc COPYING MANIFEST README RELEASE doc/html
%attr(-, root, root) /usr/lib/libhdf5.a
%attr(-, root, root) /usr/lib/libhdf5.so
%attr(-, root, root) /usr/lib/libhdf5.so.0
%attr(-, root, root) /usr/lib/libhdf5.so.0.0.0
%attr(-, root, root) /usr/include/H5*public.h
%attr(-, root, root) /usr/include/H5api_adpt.h
%attr(-, root, root) /usr/include/hdf5.h
%attr(-, root, root) /usr/include/H5config.h
%attr(-, root, bin)  /usr/bin/h5ls
%attr(-, root, bin)  /usr/bin/h5repart
%attr(-, root, bin)  /usr/bin/h5dump
%attr(-, root, bin)  /usr/bin/h5debug
%attr(-, root, bin)  /usr/bin/h5import
